Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.text
Class SimpleTemplateEngine

This simple template engine uses JSP <% %> script and <%= %> expression syntax. It also lets you use normal groovy expressions in the template text much like the new JSP EL functionality. The variable 'out' is bound to the writer that the template is being written to.

author:
  sam

author:
  Christian Stein

author:
  Paul King

Field Summary
`int` | `counter`
`GroovyShell` | `groovyShell`
`boolean` | `verbose`

Constructor Summary
`SimpleTemplateEngine()`
`SimpleTemplateEngine(boolean verbose)`
`SimpleTemplateEngine(ClassLoader parentLoader)`
`SimpleTemplateEngine(GroovyShell groovyShell)`

Method Summary
`Template` | `createTemplate(Reader reader)`
`boolean` | `isVerbose()`
`void` | `setVerbose(boolean verbose)`

Constructor Detail

### SimpleTemplateEngine

    public SimpleTemplateEngine()

### SimpleTemplateEngine

    public SimpleTemplateEngine(boolean verbose)

### SimpleTemplateEngine

    public SimpleTemplateEngine(ClassLoader parentLoader)

### SimpleTemplateEngine

    public SimpleTemplateEngine(GroovyShell groovyShell)

Method Detail

### createTemplate

    public Template createTemplate(Reader reader)

### isVerbose

    public boolean isVerbose()

### setVerbose

    public void setVerbose(boolean verbose)